Subject: Re: [Bitcoin-development] How small blocks make delibrate orphan mining costly

From: Gregory Maxwell <[email-masked]>
Date: Sat, 23 Feb 2013 16:56:48 -0800

On Sat, Feb 23, 2013 at 5:06 PM, Peter Todd <[email-masked]> wrote:
> In the low-subsidy future fees will be the main source of income for
> miners. Thus in some circumstances large miners may even have a reason
> to delibrately try to mine a block that would orphan the current best
> block. A simple example would be what would happen if a 1000BTC fee tx
> was created, but more realistic examples would be just due to a large
> number of tx's with decent fees.

It's come up a number of times in the past that when there is no
subsidy we might expect slow convergence as miners try to orphan each
other instead in order to fee snipe.   What Peter pointed out here
that I had not previously considered and find interesting is was that
if there is a sufficient backlog (or nlocktime immature) of
transactions with fees beyond the maximum block size the incentive to
orphan blocks to take their fees is greatly reduced or eliminated.